Package uk.ac.starlink.topcat

## Class SwingHttpAuthenticator

- java.lang.Object
- - java.net.Authenticator
  - - uk.ac.starlink.topcat.SwingHttpAuthenticator

-     public class SwingHttpAuthenticator
      extends java.net.Authenticator

  Authenticator for password-protected HTTP connections that pops up a dialogue asking the user for credentials.
  Since:
    12 Jun 2013
  Author:
    Mark Taylor

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.net.Authenticator

      `java.net.Authenticator.RequestorType`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SwingHttpAuthenticator​(java.awt.Component parent)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.net.PasswordAuthentication` | `getPasswordAuthentication()` |

    - ### Methods inherited from class java.net.Authenticator

      `getDefault, getRequestingHost, getRequestingPort, getRequestingPrompt, getRequestingProtocol, getRequestingScheme, getRequestingSite, getRequestingURL, getRequestorType, requestPasswordAuthentication, requestPasswordAuthentication, requestPasswordAuthentication, requestPasswordAuthentication, requestPasswordAuthenticationInstance, setDefault`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SwingHttpAuthenticator

          public SwingHttpAuthenticator​(java.awt.Component parent)

      Constructor.
      Parameters:
        `parent` - dialogue parent

  - ### Method Detail

    - #### getPasswordAuthentication

          public java.net.PasswordAuthentication getPasswordAuthentication()

      Overrides:
        `getPasswordAuthentication` in class `java.net.Authenticator`